// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.

define(['jquery', 'hp/lib/jquery.hpStatus'],
function() { "use strict";

    var GraphicsEnclosureView = (function() {
      
        /**
         * Constructor
         */
        function GraphicsEnclosureView() {
          
            /**
             * @public
             */
            this.init = function() {
                $('#tour-enclosure-logical').click(function () {
                    $('#tour-enclosure-large').removeClass('hp-physical');
                });
                $('#tour-enclosure-physical').click(function () {
                    $('#tour-enclosure-large').addClass('hp-physical');
                });
                $('.hp-status').hpStatus();
            };
        }

        return new GraphicsEnclosureView();
    }());
    
    return GraphicsEnclosureView;
});
